Package svnmailer :: Module subversion

[hide private]

# Module subversion

source code

Access to the subversion respository

Author: Andr\xc3\xa9 Malo

Classes | [hide private]

| Error
| _Version SVN version container class
| RepositoryError A repository error occured
| Repository Access to the subversion repository
| PathDescriptor Describes the basic information of a particular path
| LockedPathDescriptor Describes the lock status of a particular path
| VersionedPathDescriptor Describes the changes of a particular path
| Collector svn 1.[01] collector
| _RevisionChangeCollector Collect all changes between two particular revisions

Functions | [hide private]

`bool`

isUnicodeProperty(name) Returns if the supplied name represents a translated property | source code

`bool`

isBinary(mtype) Returns True if the supplied mime type represents a binary | source code

Variables | [hide private]

`int` | _SVN_INVALID_REVNUM = `-1` the invalid revision number
`_Version` | version = `_Version()` The version of the subversion library (maj, min, pat, rev)
| __package__ = ``'``svnmailer``'``

Function Details | [hide private]

### isUnicodeProperty(name)

source code

Returns if the supplied name represents a translated property

Parameters:
  - `name` (`str`) - The property name
Returns: `bool`
  The decision

### isBinary(mtype)

source code

Returns True if the supplied mime type represents a binary

Parameters:
  - `mtype` (`str`) - The mime type
Returns: `bool`
  The decision